#! /bin/sh


if ( ! type systemctl > /dev/null ) && ( ! type chkconfig > /dev/null )
then
	echo "Unsupported version. This installer works only with systemd and SysV/chkconfig"
	exit -1
fi

mkdir -p /etc/upsshutdownwizard
mkdir -p /var/log/upsshutdownwizard
cp UpsShutdownWizard_x64 /usr/sbin/upsshutdownwizard
cp conf.txt /etc/upsshutdownwizard
chmod ug+x /usr/sbin/upsshutdownwizard

if type systemctl > /dev/null
then
	cp scripts/upsshutdownwizard.service /etc/systemd/system
	systemctl daemon-reload
	systemctl enable upsshutdownwizard
	systemctl start upsshutdownwizard
elif type chkconfig > /dev/null
then
	cp scripts/upsshutdownwizard /etc/init.d
	chkconfig --add upsshutdownwizard
	chkconfig upsshutdownwizard on
	service upsshutdownwizard start
fi
	